solscan logo
Register NowRegister Now

stake analytics

get

https://public-api.solscan.io/analytics/stake

Retrieve daily network total active stake, denominated in both SOL and USD, over a given time range.

QUERY PARAMS

range

number

Time range in days for the data to be returned, counting back from today. Will be overrided by from_time and to_time if provided.

from_time

number

Used when you want to filter data by time. Format time: YYYYMMDD. Pass together with to_time to filter by a start and end date. Example: ?from_time=20240701&to_time=20240715

to_time

number

Used when you want to filter data by time. Format time: YYYYMMDD. Pass together with from_time to filter by a start and end date. Example: ?from_time=20240701&to_time=20240715

RESPONSES

200

OK

Response Body

success

boolean

Status of Api

updated_time

number

Unix timestamp (in seconds) of when this response was generated

lag_days

number

Number of days by which the underlying data lags behind real time

block_date

string

Date of the data point, formatted as YYYY-MM-DD

block_time

number

Unix timestamp (in seconds) of block_date

total_stake_sol

number

Total active stake on this date, denominated in SOL

total_stake_usd

number

Total active stake on this date, denominated in USD

400

Bad Request

Response Body

429

Too Many Requests

Response Body

500

Internal Server Error

Response Body

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples